Debian Bug report logs - #607388
ITP: spock -- testing and specification framework for Java and Groovy applications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Miguel Landaeta <miguel@miguel.cc>

Date: Fri, 17 Dec 2010 18:57:01 UTC

Owned by: Damien Raude-Morvan <drazzib@debian.org>

Severity: wishlist

Fixed in version spock/0.6-groovy-1.8-1

Done: Damien Raude-Morvan <drazzib@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, miguel@miguel.cc, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#607388; Package wnpp. (Fri, 17 Dec 2010 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
New Bug report received and forwarded. Copy sent to miguel@miguel.cc, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 17 Dec 2010 18:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: spock -- testing and specification framework for Java and Groovy applications
Date: Fri, 17 Dec 2010 14:22:19 -0430
Package: wnpp
Severity: wishlist
Owner: Miguel Landaeta <miguel@miguel.cc>

* Package name    : spock
  Version         : 0.5
  Upstream Author : Peter Niederwieser <pniederw@gmail.com>
* URL             : http://code.google.com/p/spock/
* License         : Apache-2.0
  Programming Lang: Groovy, Java
  Description     : testing and specification framework for Java and Groovy applications

 Spock is an open source testing framework for Java and
 Groovy. It lets you write concise, expressive tests, using
 a quite readable notation. It also comes with its own
 mocking library built in.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#607388; Package wnpp. (Wed, 27 Jul 2011 16:37:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Wed, 27 Jul 2011 16:37:47 GMT) Full text and rfc822 format available.

Message #10 received at 607388@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 607388@bugs.debian.org
Cc: control@bugs.debian.org
Subject: spock: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 607388 RFP: spock -- testing and specification framework for Java and Groovy applications
noowner 607388
thanks

Hi,

This is an automatic email to change the status of spock back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting spock, please send a mail to
<control@bugs.debian.org> with:

 retitle 607388 ITP: spock -- testing and specification framework for Java and Groovy applications
 owner 607388 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <607388@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: spock -- testing and specification framework for Java and Groovy applications' from 'ITP: spock -- testing and specification framework for Java and Groovy applications' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:42:17 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Miguel Landaeta <miguel@miguel.cc>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:42:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607388; Package wnpp. (Wed, 27 Jul 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #19 received at 607388@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 607388@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#607388: spock: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 13:40:10 -0430
[Message part 1 (text/plain, inline)]
retitle 607388 ITP: spock -- testing and specification framework for Java and Groovy applications
owner 607388 !
thanks

On Wed, Jul 27, 2011 at 06:02:34PM +0200, Lucas Nussbaum wrote:
> If you are still interested in adopting spock, please send a mail to
> <control@bugs.debian.org> with:
> 
>  retitle 607388 ITP: spock -- testing and specification framework for Java and Groovy applications
>  owner 607388 !
>  thanks

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: spock -- testing and specification framework for Java and Groovy applications' from 'RFP: spock -- testing and specification framework for Java and Groovy applications' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:09:06 GMT) Full text and rfc822 format available.

Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:09:07 GMT) Full text and rfc822 format available.

Owner changed from Miguel Landaeta <miguel@miguel.cc> to Damien Raude-Morvan <drazzib@debian.org>. Request was from Damien Raude-Morvan <drazzib@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 19:03:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 30 Nov 2012 19:09:05 GMT) Full text and rfc822 format available.

Reply sent to Damien Raude-Morvan <drazzib@debian.org>:
You have taken responsibility. (Sun, 09 Dec 2012 17:03:09 GMT) Full text and rfc822 format available.

Notification sent to Miguel Landaeta <miguel@miguel.cc>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 17:03:09 GMT) Full text and rfc822 format available.

Message #32 received at 607388-close@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: 607388-close@bugs.debian.org
Subject: Bug#607388: fixed in spock 0.6-groovy-1.8-1
Date: Sun, 09 Dec 2012 17:00:08 +0000
Source: spock
Source-Version: 0.6-groovy-1.8-1

We believe that the bug you reported is fixed in the latest version of
spock, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607388@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Raude-Morvan <drazzib@debian.org> (supplier of updated spock package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 02 Sep 2012 12:38:23 +0200
Source: spock
Binary: libspock-java libspock-java-doc
Architecture: source all
Version: 0.6-groovy-1.8-1
Distribution: experimental
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Damien Raude-Morvan <drazzib@debian.org>
Description: 
 libspock-java - testing and specification framework for Java and Groovy applicati
 libspock-java-doc - testing and specification framework for Java and Groovy - Docs
Closes: 607388
Changes: 
 spock (0.6-groovy-1.8-1) experimental; urgency=low
 .
   * Initial release. (Closes: #607388)
Checksums-Sha1: 
 ea5df7fa64c88a1fe8c5d39814123d3fb5995fb4 2192 spock_0.6-groovy-1.8-1.dsc
 b4ca246316c7e955aa0d9b6d6f5e7dca123beecb 280566 spock_0.6-groovy-1.8.orig.tar.gz
 70c31f0ceb826f61bbfb61faa502c215a33b4000 5576 spock_0.6-groovy-1.8-1.debian.tar.gz
 5e565c99a320e5a7f086044a1a2156c2949c04af 405836 libspock-java_0.6-groovy-1.8-1_all.deb
 f90eb87770a6b5aef53b1160c70227c72a7838e3 421618 libspock-java-doc_0.6-groovy-1.8-1_all.deb
Checksums-Sha256: 
 e0adfa8c2b8c73a1973c4379399ea3280b8670bdc5870016b40dc33e9f7b75e3 2192 spock_0.6-groovy-1.8-1.dsc
 8d5a2aca7e04f5a8383c6111d2309d51df435b28e44de30a0772bb6a4d8ca9ba 280566 spock_0.6-groovy-1.8.orig.tar.gz
 371e9557c0fe21af119943ea488fe2d8b30c629cd39d939a73797dd290d0695d 5576 spock_0.6-groovy-1.8-1.debian.tar.gz
 05a7ef319c89f50ff712b65b77decea3e260797c85822dc90053de5e017ed017 405836 libspock-java_0.6-groovy-1.8-1_all.deb
 a606de8904b24b0e0198172b1beacd5d4e21b8cf123808da2035a9540e7d82d5 421618 libspock-java-doc_0.6-groovy-1.8-1_all.deb
Files: 
 1aa87bbb9bad2f43c39da3bbfe45a31c 2192 java optional spock_0.6-groovy-1.8-1.dsc
 deb911de35552345cd70302aa689f751 280566 java optional spock_0.6-groovy-1.8.orig.tar.gz
 134c04d220e01674bf4b2436829ee6d4 5576 java optional spock_0.6-groovy-1.8-1.debian.tar.gz
 93a8f306f04368d10513b29610248d62 405836 java optional libspock-java_0.6-groovy-1.8-1_all.deb
 51686285e9b5781c9f2d7b8fc111d98d 421618 doc optional libspock-java-doc_0.6-groovy-1.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtmL7AAoJEHXiDM0z50n8viMQAJo9fbk0jkPxQ+Fo4rWWIWtQ
dS62EI4myRmbX4Wjz2rwTwD+XN9gTH3ZVPZNSvUA+sAOXP1z9XA1+1kR9dggCcXp
8wc9TX6bpFXtMUBgNcriaX3gkbgGq/4tPs6kpeswVkZVJNJzQ8aUZeRYSsh9CCK6
ZMQSBEVCWO1QQQ/KrlS3OQ95SQIvZdA/eq3Mk5w3daeA8BeR2ubUoOQF53d9/AYV
HGPRVfOS9/vhsqxgEJYOyyqw8FhOREGogxZHuJ4V9j003cITEYvUHYDhuaqhzxLY
+BLZJhKChg2OpY3FyRPe1zAlUT59EvrPgY6FTx3KF5MEtF0tSHdp5TpnviZqDZTk
3A8n8QeZDZQpvMjhhRS82i7/lhzPydVTz8GtAiIouHQ9mJyFVEe6J4EKyjhEAHwU
iX/E5tBe3FyrD0yjAsFtaiPQ9Dcqb/P6dZXWmIQQPdZM1a8qAomymGWi+nGsLC37
d5whfsw0M5OEY3JSwyEagRGl5tHclv34H7z4R+ooTCEadltRvfbCCofWlEPBHR7s
6MeZ2IDrnA+zf/3vk7gSJ+F/8FpyQ3bRRnU1sa/Eh/IqmOOfuSO1ydOTb2zRQ5n0
fY8FnQVu29r+XDkEtvbXXh55+rGTqT/Dru2GEs4Y5fvvDtJF2pFAHIh9mru/QGGu
Nv0LZaiIR4Vuxl3O7P0a
=JRkW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:22:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.